
Bugs - Bug #9

invalid sorting for FOR/REPEAT/DO with FIRST/LAST BREAK BY

10/03/2011 12:00 PM - Stanislav Lomany

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/24/2011 12:55 PM - Stanislav Lomany

@45266 - testcase:

def temp-table tt1

        field f1 as integer

        field f2 as integer

        index idx is primary f1.

    create tt1. f1 = 1. f2 = 2.  /* should be the first (and the single) outputted record */

    create tt1. f1 = 2. f2 = 1.

    repeat preselect first tt1 break by f2:

      find next tt1.

      if avail tt1 then message string(f1) + " " + string(f2).

      else leave.

    end.

Note that this testcase is also affected by the "Single-table REPEAT/DO for the FIRST/LAST/UNIQUE component" i

ssue.

#2 - 10/03/2011 11:02 PM - Stanislav Lomany

@45110 - issue description:

Single-table FOR/REPEAT/DO with the FIRST/LAST component and BREAK keyword or complex by clause should use pur

e index-driven sorting too.
#3 - 10/17/2011 03:42 PM - Redmine Admin

@45127 - Status changed from WIP to Hold

#4 - 04/12/2012 11:23 AM - Stanislav Lomany

Imported from JPRM on 2012-04-12 11:23:02.151:

TASKID      = 6102

PROJECTID   = 124

STATUS      = 3 (Hold)

DESCRIPTION = invalid sorting for FOR/REPEAT/DO with FIRST/LAST BREAK BY

OWNER       = SVL

ASSIGNEE    = 

BILLABLE    = false

PRIORITY    = 5 (Normal)

PHASE       = 52 (Problem Resolution)

COMPONENT   = 97

ESTEFFORT   = 0.000000

ESTSTART    = 2011-10-03

ESTSTOP     = 

ACTSTOP     = 

CASENUM     = 

VENDORID    = 

COMMENT     = ''

LASTWIP     = 2011-10-17
